IF NOT EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'Report.JobSeeker' AND COLUMN_NAME = 'Age')
BEGIN
	ALTER TABLE [Report.JobSeeker] 
		ADD Age SMALLINT
END
GO

IF EXISTS(SELECT 1 FROM [Report.JobSeeker] WHERE DateOfBirth LIKE '[0-9][0-9] [A-Z][a-z][a-z] 19%')
BEGIN
	UPDATE
		[Report.JobSeeker] 
	SET
		Age = DATEDIFF(YY, CAST(DateOfBirth AS DATETIME), GETDATE()) 
		- CASE 
			WHEN( (MONTH(CAST(DateOfBirth AS DATETIME))*100 + DAY(CAST(DateOfBirth AS DATETIME))) > (MONTH(GETDATE()) * 100 + DAY(GETDATE())) ) THEN 1 
			ELSE 0 
		END
	WHERE
		DateOfBirth IS NOT NULL
END